/*

   Player control demo.

   Mustaf & Roberto Lopez

*/

#include "hmg.ch"

*--------------------------- TOOLTIP ----------------------------*
*--------- Rutina cedida  Por Marcos Antonio Gambeta ------------*
#define WM_USER             0x400
#define TTM_SETTITLE       (WM_USER + 32)
#define TTI_NONE                0
#define TTI_INFO                1
#define TTI_WARNING             2
#define TTI_ERROR               3
*----------------------------------------------------------------*
*----------------------------------------------------------------*

 Function main()

 SET CENTURY ON
 SET DATE FRENCH
 SET ESCAPE ON

*-----------------------------------------------------*
  SET TOOLTIPSTYLE BALLOON
// this follow rows is required ONLY for HMG Minigui compatibility
#ifdef __MINGW32__
   Local a_TmpColor   := { 193, 224, 255}      
   SET TOOLTIPBACKCOLOR a_TmpColor
   SET TOOLTIPFORECOLOR {0,0,0 }
#endif
*-----------------------------------------------------*
 Public nCtEfeito    := 0
 Public nCt          := 1
 Public cDescEfeito  := ""

 Public  cFileD , GetFile , cContenido , ficherAaX , fichNew
*-----------------------------------------------------*

  IF .NOT. FILE('MUSTA3.MEM')    
      fichNew ="Player-Dog v 1.02" 
      SAVE TO MUSTA3 ALL LIKE fichNew    
  ENDIF


  RESTORE FROM MUSTA3.mem ADDITIVE

               DEFINE WINDOW Form_1                    ;
                      AT 0,0                           ;      
                      WIDTH  540                       ;          
                      HEIGHT 310                       ;          
                      BACKCOLOR {000, 128, 192}        ;
                      TITLE ''                         ;
                      icon "Logo"                      ;                     
                      MAIN NOSIZE NOMAXIMIZE                       
                      ON KEY ESCAPE ACTION Form_1.Release

*----------------------   Rutina TIMER cedida por Lucho Miranda  ElSalnes@telefonica.net ---------------------*
          DEFINE TIMER Timer_1 INTERVAL 1000 ACTION ;        
                    ( Form_1.Title :="Player-Dog v 1.02"+ SPACE(02)+" Date: " + DTOC(DATE()) + ;
                     SPACE(02) + "Time: "   + TIME() )                         
*-------------------------------------------------------------------------------------------------------------* 

*-----------------------------------------  Presentacin -----------------------------------------------------*
*------------------------------    Rutina cedida por Lucho Miranda   ElSalnes@telefonica.net -----------------*
*-------------------------------------------- Recuadro--------------------------------------------------------*
          @ 026,014 LABEL Label_00Sx WIDTH 167 HEIGHT 210 ;
                    FONT "Ms Sans Serif" SIZE 0011 BACKCOLOR  {000,000,000}  

          @ 022,009 LABEL Label_00x  WIDTH 167 HEIGHT 210 ;
                    FONT "Ms Sans Serif" SIZE 0011 BORDER CLIENTEDGE BACKCOLOR  {100,009,000}   
*-----------------------------------------Fin de Recuadro ----------------------------------------------------*

          DEFINE IMAGE image01
               row 28                    
               col 15                     
               picture "perrito"
               width  154                 
               height 196                 
          END IMAGE 

*-------------------------------------------- Recuadro--------------------------------------------------------*
          @ 018,235 LABEL Label_01Sx WIDTH 255 HEIGHT 080 ;
                    FONT "Ms Sans Serif" SIZE 0011 BACKCOLOR  {000,000,000}  

          @ 012,230 LABEL Label_01s  WIDTH 255 HEIGHT 080 ;
                    FONT "Ms Sans Serif" SIZE 0011 BORDER CLIENTEDGE BACKCOLOR {202,254,255} 
*-----------------------------------------Fin de Recuadro ----------------------------------------------------*

          @ 024,276 LABEL Talbal_01sax VALUE "Player-Dog" AUTOSIZE ;
                    FONT "Arial" SIZE 22 BOLD ITALIC ;
                    FONTCOLOR BLACK TRANSPARENT
          @ 022,275 LABEL Talbal_02sa  VALUE "Player-Dog" AUTOSIZE ;
                    FONT "Arial" SIZE 22 BOLD ITALIC ;
                    FONTCOLOR { 100, 135, 255 } TRANSPARENT   


          @ 064,307 LABEL Talbal_01sbx VALUE "v 1.02  2010" AUTOSIZE ;
                    FONT "Arial" SIZE 13 BOLD ITALIC ;
                    FONTCOLOR BLACK TRANSPARENT
          @ 062,306 LABEL Talbal_02sb  VALUE "v 1.02  2010" AUTOSIZE ;
                    FONT "Arial" SIZE 13 BOLD ITALIC ;
                    FONTCOLOR { 100, 135, 255 } TRANSPARENT


          @ 112,243 LABEL Talbal_11sax VALUE "mustalopez@gmail.com - Mustafa Lpez" ;
                    FONT "Arial" SIZE 9 BOLD ITALIC  BACKCOLOR  {000, 128, 192}  FONTCOLOR {255,170,221} ; 
                    WIDTH 245 HEIGHT 20

*-------------------------------------------- Recuadro--------------------------------------------------------*
          @ 154,190 LABEL Label_02Sx WIDTH 340 HEIGHT 048 ;
                    FONT "Ms Sans Serif" SIZE 0011 BACKCOLOR  {000,000,000}  

          @ 148,185 LABEL Label_02s  WIDTH 340 HEIGHT 048 ;
                    FONT "Ms Sans Serif" SIZE 0011 BORDER CLIENTEDGE BACKCOLOR {100,009,000}   // {202,254,255} 
*-----------------------------------------Fin de Recuadro ----------------------------------------------------*      

          @ 163,200 LABEL LbMucaAtual VALUE " "         ;       
                    Width  315  Height  17              ;
                    FONT "Arial" SIZE 11 BOLD ITALIC    ;
                    FONTCOLOR {255,234,000} BACKCOLOR {100,009,000}  
*---------------------------------------------------------*
      
          DEFINE PLAYER Player_1
               ROW    0                  
               COL    0                 
               WIDTH  0               
               HEIGHT 0                
               FILE ''
               HELPID Nil
               NOAUTOSIZEWINDOW .F.            
               NOAUTOSIZEMOVIE .F.              
               NOERRORDLG .F.
               NOMENU .F.
               NOOPEN .F.
               NOPLAYBAR .T.
               SHOWALL .F.
               SHOWMODE .F.
               SHOWNAME .F.                  
               SHOWPOSITION .F.
          END PLAYER

 *-------------------------------------------- Recuadro--------------------------------------------------------*
         @ 220,190 LABEL Label_03Sx WIDTH 340 HEIGHT 048 ;                          
                   FONT "Ms Sans Serif" SIZE 0011 BACKCOLOR  {000,000,000}  
                   Form_1.Label_03Sx.Enabled := .F.

         @ 214,185 LABEL Label_03s  WIDTH 340 HEIGHT 048 ;
                   FONT "Ms Sans Serif" SIZE 0011 BORDER CLIENTEDGE BACKCOLOR {000,100,000}   
                   Form_1.Label_03s.Enabled := .F.

*-----------------------------------------Fin de Recuadro ----------------------------------------------------*    
                                          
        @ 225,192 Button Button_D1 Of Form_1        ;
                  Picture 'Bmp\play.bmp'            ;
                  Action Form_1.Player_1.Play()     ;
                  Width  22                         ; 
                  Height 22                         ;
                  Flat                              ;
                  ToolTip "Play Song Mp3"

               
        @ 225,217 Button Button_D2 Of Form_1        ;
                  Picture 'Bmp\pause.bmp'           ;
                  Action Form_1.Player_1.Pause()    ;
                  Width  22                         ; 
                  Height 22                         ;
                  Flat                              ;
                  ToolTip "Pause Song Mp3"


        @ 225,242 Button Button_D3 Of Form_1        ;
                  Picture 'Bmp\next.bmp'            ;
                  Action Form_1.Player_1.Resume()   ;
                  Width  22                         ; 
                  Height 22                         ;
                  Flat                              ;
                  ToolTip "Continue Song Mp3"


        @ 225,267 Button Button_D4 Of Form_1        ;
                  Picture 'Bmp\stop.bmp'            ;
                  Action Form_1.Player_1.Position := 1   ;
                  Width  22                         ; 
                  Height 22                         ;
                  Flat                              ;
                  ToolTip "Stop Song Mp3"

       @ 223,292 SLIDER slider_1                    ;
                 RANGE 0,10                         ;  
                 WIDTH  115                         ;
                 HEIGHT 028		            ;            	
                 ON CHANGE {||Slider1_Change()}     ;        
                 TOOLTIP "Change volume of sound"

*-------------------------------------------- Recuadro--------------------------------------------------------*
      @ 228,419 LABEL Label_04Sx WIDTH 030 HEIGHT 028 ;                         
                FONT "Ms Sans Serif" SIZE 0011 BACKCOLOR  {000,000,000}  
                Form_1.Label_04Sx.Enabled := .F.
      @ 222,414 LABEL Label_04s  WIDTH 030 HEIGHT 028 ;
                FONT "Ms Sans Serif" SIZE 0011 BORDER CLIENTEDGE BACKCOLOR {100,009,000}   
                Form_1.Label_04s.Enabled := .F.

*-----------------------------------------Fin de Recuadro ----------------------------------------------------*    

      @ 229,419 LABEL LabelSli  VALUE " 0"          ;       
                Width  20  Height  17               ;
                FONT "Arial" SIZE 11 BOLD ITALIC    ;
                BACKCOLOR  {100,009,000}  FONTCOLOR {255,234,000}  
      
      @ 225,460 Button Button_D5 Of Form_1          ;
                Picture 'Bmp\folder.bmp'            ;
                Action Busca_Music()                ;
                Width  22                           ; 
                Height 22                           ;
                Flat                                ;
                ToolTip "Search Song Mp3"

     @ 225,489 Button Button_D6 Of Form_1           ;
               Picture 'Bmp\Exit.bmp'               ;
               Action Form_1.Release                ;
               Width  22                            ; 
               Height 22                            ;
               Flat                                 ;
               ToolTip "Exit Program"

                   _DefineTimer( "Timer_Abertura", "Form_1", 100 , {|| Efeito_Abertura()} )


   END WINDOW

*---------------------------------------------   TOOLTIP   ----------------------------------------------------*

    SendMessageString( GetFormToolTipHandle ("Form_1"), TTM_SETTITLE, TTI_INFO, "Attention" )  

*---------------------------------------------   TOOLTIP   ----------------------------------------------------*

   Form_1.Center
   Form_1.Activate
 
Return Nil

*---------------------------------------------*
Function Slider1_Change()
*---------------------------------------------*

    Local nValue := Form_1.Slider_1.Value

    Form_1.Player_1.Volume := Form_1.Slider_1.Value * 100 

    Form_1.LabelSli.Value := Str(nValue,2)

  Return Nil

*-------------------------------------------*
Procedure Busca_Music()
*-------------------------------------------*
 
  Public  cFileD := GetFile( { {'mp3','*.mp3'},{'All files','*.*'}})

  cContenido := ALLTRIM(cFileD )            
 
  IF .NOT. FILE ( cFileD  ) 
      msginfo("No file has been Elected"," Attention !!!")
         ERASE("MUSTA.MEM")
         ERASE("MUSTA1.MEM")
         ERASE("MUSTA2.MEM")
         RETURN NIL
  ENDIF 

  IF FILE (cFileD)     
     IF FILE("MUSTA.MEM")
         ERASE("MUSTA.MEM")
     ENDIF
     IF FILE("MUSTA1.MEM")
        ERASE("MUSTA1.MEM")
     ENDIF
     IF FILE("MUSTA2.MEM")
        ERASE("MUSTA2.MEM")
     ENDIF
     SAVE TO MUSTA ALL LIKE cFileD   
   ENDIF 

  IF .NOT. FILE('MUSTA.MEM') 
      cFileD  :="Music\sample1.mp3"
      SAVE TO MUSTA ALL LIKE cFileD   
  ENDIF  

  RESTORE FROM MUSTA.mem ADDITIVE

  ficherAaX := RIGHT( cFileD , LEN(cFileD) - RAT("\", cFileD))  

  SAVE TO MUSTA1 ALL LIKE ficherAaX  

  IF .NOT. FILE('MUSTA1.MEM') 
      ficherAaX :="Music\sample1.mp3"
      SAVE TO MUSTA1 ALL LIKE ficherAaX       
  ENDIF  

*--------------------------   TABLA ------------------------------------*
*---------------------  1 Letra + ".Mp3" =  5 Digitos ------------------*

    Nuevo =  LEFT (ficherAaX, LEN( ficherAaX ) - 4 ) 

    SAVE TO MUSTA2 ALL LIKE Nuevo      

*-----------------------------------------------------------------------*
*-----------------------------------------------------------------------*

     RESTORE FROM MUSTA2.mem ADDITIVE
  
     fichNew := Nuevo +".mp3"

     Form_1.Player_1.Open (cFileD) 

     SAVE TO MUSTA3 ALL LIKE fichNew    

   RETURN NIL
 

*--------------------------------*
 Procedure Efeito_Abertura()
*--------------------------------*

*--------------------------------------------------------*
* Original Project 
* (c) 2004 FreeWare - Humberto Fornazier / Brasil
*             hfornazier@yahoo.com.br
*--------------------------------------------------------*

   Local  cTxt    := ""
   Local  nTam    := 0
   Local  iTime   := Seconds()
   Local  aMensag := { fichNew ,"Player-Dog v 1.02"} 

          cTxt := aMensag[ nCt ]    
          nTam := Len( cTxt )    

          nCtEfeito += 1

          If nCtEfeito > nTam	

             Do While Seconds() - iTime < .5
             EndDo

             nCtEfeito := 0
             cDescEfeito := ""
        
             nCt++                              //   Note:  the number 2 must be changed by increasing the number of posters
             nCt  := Iif( nCt > 2 , 1 , nCt )  //    Note: ->>>  nCt > 2 <<<- 

          Else

              cDescEfeito += Substr( cTxt ,  nCtEfeito , 1 ) 
     
           EnDif

           Form_1.LbMucaAtual.Value := cDescEfeito	
        
           Return Nil



*---------------------------------------*
#pragma BEGINDUMP

#include <windows.h>
#include "hbapi.h"

HB_FUNC ( SENDMESSAGESTRING )
{
  hb_retnl( (LONG) SendMessage( (HWND) hb_parnl(1), (UINT) hb_parni(2), (WPARAM) hb_parnl(3), (LPARAM) (LPSTR) hb_parc(4) ) );
}

#pragma ENDDUMP



